/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

html { font-size: 55%; } 

@font-face {
    font-family: 'Inter';
    src: url('Font/Inter-VariableFont.ttf') format("truetype");
    font-weight: 100 1000;

}


:root {
    --text-color: #334D26;
    --button-color: #334D26;
}

/*HEADER*/
#header .container {
    padding: 0!important;
}
#header .stuck .top-divider {
    border-top: unset;
}
.nav>li>a {
    font-size: 14px;
    color: #334D26;
    font-weight: 500 !important;
}
.nav>li>a:hover, p a:hover {
    text-decoration: underline!important;
}
.nav>li {
    margin: 0 14px;
}
.top-divider {
    border-top: 1px solid #334D26;
    margin-bottom: -1px;
    opacity: 1;
}

/*Footer*/
.absolute-footer {
    display: none;
}
.footer_left > div {
    display: flex;
    gap: 2rem;
}
.footer_left p {
    font-size: 14px!important;
}
.footer_right > div > .text:nth-child(1) p {
    font-size: 16px!important;
}
.footer_right > div > .text:nth-child(3) p {
    font-size: 14px!important;
}

section:not(.no_padding_side), .header-wrapper, #footer  {
    padding-left: 2rem;
    padding-right: 2rem;
}


section h1 {
    font-family: 'Inter';
    font-size: 4.5rem;
    line-height: 5.5rem;
    font-weight: 500;
    color: var(--text-color) !important;
}

section h2, .p_under_bottle p {
    font-family: 'Inter';
    font-size: 4.5rem!important;
    line-height: 5.5rem!important;
    font-weight: 500!important;
    color: var(--text-color) !important;
}

section p {
    font-family: 'Inter';
    font-size: 1.8rem!important;
    line-height: 2.4rem!important;
    font-weight: 400!important;
    color: var(--text-color) !important;
}

.text_color_inherit p {
     color: inherit !important;
}

.mille_forme_home .text:nth-child(1) p {
    font-size: 2.5rem!important;
}
.mille_forme_home .text:nth-child(2) p {
    font-size: 3rem!important;
    line-height: 3.5rem!important;
}

.text_white, .text_white * {
    color: white!important;
}
.text_pink, .text_pink * {
    color: #E4C3C2!important;
}

section .text:has(h1, h2, h3) + .text:has(p) {
    margin-top: 4rem;
}

section p strong {
    font-weight: 700;
}

section .text ~ .button, .primary, input[type=submit], input[type=submit].button {
    padding: 1.4rem 1.5rem !important;
    font-size: 1.4rem;
    line-height: 1.3rem;
    text-transform: uppercase;
    border: solid 1px var(--button-color) !important;
    color: var(--button-color) !important;
    margin-top: 3rem;
    background-color: transparent !important;
}

section .text ~ .button:hover, .primary:hover, input[type=submit]:hover, input[type=submit].button:hover {
    background-color: var(--button-color) !important;
    color: white !important;
}

.borderradius_6 {
    border-radius: 6rem;
    overflow: hidden;
}

.borderradius_23, .index_blog .box-image {
    border-radius: 2.3rem;
}

.bottle_size {
    width: 20rem!important;
}
.overflow_bottle .flickity-viewport {
    min-height: 62rem!important;
}
.overflow_bottle .row {
    top: 50%;
    transform: translateY(-50%);
}

.contain_bottle img, .contain_bottle video {
    object-fit: contain;
}

.abs_under {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    padding: 0.5rem 3rem 0.5rem 3rem;
    background-color: #e2e0cc;
    margin-top: 4rem;
}
.p_under_bottle p {
    margin-bottom: 0!important;
}
.shadow_banner {
    box-shadow: 0px 8px 6px #00000029;
}
.shadow_bottle:after {
    content: "";
    position: absolute;
    width: 123px;
    height: 10px;
    background: #706F70 0% 0% no-repeat padding-box;
    mix-blend-mode: multiply;
    border: 1px solid #707070;
    opacity: 1;
    filter: blur(2px);
    bottom: -5px; /* Regola la posizione rispetto all'immagine */
    left: 50%;
    transform: translateX(-50%);
    border-radius: 50%;
}

/*FORM*/
.input_cont {
    width: 45rem;
}
:is(.div_accept, .input_cont) p {
    font-size: 12px!important;
    line-height: 15px !important;
}
.input_cont p span:nth-child(1) {
    margin-left: 2rem;
    line-height: 3rem;
}
.input_cont .col_50 {
    display: flex;
    gap: 2rem;
    justify-content: space-between;
}
.input_cont .col_50 > p {
    width: 40%;
}
.div_accept p {
    display: flex;
}
.div_accept > div {
    margin-bottom: 1rem;
}
input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
    background-color: transparent;
    border-radius: 8px;
    border: 1px solid #334d2675;
}
.wpcf7 span.wpcf7-list-item {
    margin-right: 0;
}






/* Nasconde la checkbox originale */
.wpcf7-list-item input[type="checkbox"] {
    appearance: none;
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  /* Stile del contenitore della checkbox */
  .wpcf7-list-item {
    position: relative;
    padding-left: 30px; /* Spazio per la checkbox personalizzata */
    display: inline-block;
    cursor: pointer;
  }
  
  /* Casella di spunta personalizzata */
  .wpcf7-list-item::before {
    content: "";
    width: 16px;
    height: 16px;
    background-color: transparent;
    border: 1px solid #334d26;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-75%);
    transition: all 0.2s ease-in-out;
  }
  
  /* Stile quando la checkbox è selezionata */
  .wpcf7-list-item.checked::before {
    content: "X";
    color: #334d26;
    font-size: 20px;
    text-align: center;
    line-height: 15px;
  }
  
  .div_accept label {
    color: unset;
    font-size: unset;
    font-weight: unset;
    margin-bottom: unset;
    display: flex;
  }

  .flickity-page-dots .dot.is-selected {
    background-color: #334d26!important;
}
.flickity-page-dots .dot {
    border: 3px solid #334d26!important;
}





/*NOTIZIE*/

.banner_notizie .banner-bg {
    border-radius: 50%;
    overflow: hidden;
    width: 45rem;
    transform: translateX(-50%);
    left: 50%;
}
.banner_notizie img {
    z-index: 2;
    height: auto;
    display: inline-block!important;
}
.banner_notizie video {
    transform: scale(0.95);
    border-radius: 50%;
}

.no_link, .no_link a  {
    pointer-events: none !important;
}



.index_blog :is(h5, .is-divider) {
    display:none;
}

/*PROGETTO*/
.row_4cat {
    justify-content: space-between;
}
.row_4cat .img {
    width: 90px!important;
}
.row_4cat p {
    font-size: 4.5rem!important;
    margin-top: 3rem;
}
.row_4cat .col {
    min-width: fit-content;
}

/*Singolo Prodotto*/

.caratteristiche_row .col-inner > p {
    font-size: 25px!important;
    line-height: 30px !important;
}
@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/
    html { font-size: 48%; } 

    section h1, section h2, .p_under_bottle p {
        font-size: 3.9rem!important;
        line-height: 4.7rem!important;
    }

    .off-canvas-center.mfp-bg.mfp-ready {
        opacity: 0.95;
    }
    .off-canvas-center .mfp-content {
        padding-top: 0;
        vertical-align: unset!important;
    }
    .off-canvas-center .nav-vertical>li>a {
        font-size: 20px;
    }
    .nav>li>a:hover {
        text-decoration:unset;
    }
    .logo_mob_menu {
        display: flex;
        justify-content: center;
        width: 100%;
        padding-bottom: 5rem;
    }
    .logo_mob_menu img {
        width: 80px;
        filter: invert(1) brightness(1000%);
    }
    .flickity-slider .banner-layers {
        overflow: visible!important;
    }
    .overflow_bottle .flickity-viewport {
        overflow: visible!important;
    }
    .bottle_size {
        width: 16rem !important;
    }
    .flickity-page-dots {
        bottom: -6%;
    }
    .input_cont {
        width: 100%;
    }
    .input_cont .col_50 {
        flex-direction: column;
        gap: unset;
    }
    .input_cont .col_50 > p {
        width: 100%;
    }
    .select-resize-ghost, .select2-container .select2-choice, .select2-container .select2-selection, input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
        height: 30px;
    }
    .abs_under {
        position: relative;
    }


    .banner_oliva  .banner-bg img {
        object-position: 38% 0% !important;
    }
}